Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 823908 - User should be redirected to Operations->History tab after operation execution on autogroup
Summary: User should be redirected to Operations->History tab after operation executio...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER01
: JON 3.2.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-22 12:38 UTC by Sunil Kondkar
Modified: 2014-01-02 20:38 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Sunil Kondkar 2012-05-22 12:38:46 UTC
Description of problem:

If user executes an operation on an autogroup (Ex: on autogroup 'Apache HTTP Servers'), on clicking 'Schedule' button user should be redirected to Operations->History tab. 

At present it navigates to 'Summary->Activity' tab of the autogroup.

Version-Release number of selected component (if applicable):

Version: 3.1.0.ER4
Build Number: 1783b86:2b8d25d

How reproducible:
Always

Steps to Reproduce:
1. Navigate to 'Operations' tab of an autogroup. (Ex: on autogroup 'Apache HTTP Servers')
2. Select an operation from the 'Operations' dropdown and click on 'Schedule' button.
3. It navigates to 'Summary->Activity' tab of the autogroup.
  
Actual results:

It navigates to 'Summary->Activity' tab of the autogroup.

Expected results:

User should be redirected to Operations->History tab after operation execution on autogroup.

Additional info:

Comment 1 Mike Foley 2012-05-29 14:41:28 UTC
per BZ Triage 5/29/2012 (ccrouch, loleary, asantos, mfoley, myarborough) moving these to JON 3.1.1 or later

Comment 2 Jirka Kremser 2013-04-08 16:17:56 UTC
fixed in master by commit f4a6e580f

Comment 3 Larry O'Leary 2013-09-06 14:31:10 UTC
As this is MODIFIED or ON_QA, setting milestone to ER1.

Comment 4 Sunil Kondkar 2013-09-20 11:51:40 UTC
Verified on JBoss ON Version: 3.2.0.ER1- Build Number: 54dd29c:464a643


Note You need to log in before you can comment on or make changes to this bug.